Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.sac
Class CSSIdCondition

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractAttributeCondition
          org.apache.batik.css.engine.sac.CSSIdCondition

All Implemented Interfaces:
  ExtendedCondition, org.w3c.css.sac.AttributeCondition, org.w3c.css.sac.Condition

    public class CSSIdCondition

extends AbstractAttributeCondition

This class provides an implementation of the `AttributeCondition` interface.

Field Summary
`protected String` | `localName` The id attribute local name.
`protected String` | `namespaceURI` The id attribute namespace URI.

Fields inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`value`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`CSSIdCondition(String ns, String ln, String value)` Creates a new CSSAttributeCondition object.

Method Summary
`void` | `fillAttributeSet(Set attrSet)` Fills the given set with the attribute names found in this selector.
`short` | `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`String` | `getLocalName()` SAC: Implements `AttributeCondition.getLocalName()`.
`String` | `getNamespaceURI()` SAC: Implements `AttributeCondition.getNamespaceURI()`.
`int` | `getSpecificity()` Returns the specificity of this condition.
`boolean` | `getSpecified()` SAC: Implements `AttributeCondition.getSpecified()`.
`boolean` | `match(Element e, String pseudoE)` Tests whether this condition matches the given element.
`String` | `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### namespaceURI

    protected String namespaceURI

  The id attribute namespace URI.

### localName

    protected String localName

  The id attribute local name.

Constructor Detail

### CSSIdCondition

    public CSSIdCondition(String ns,
                          String ln,
                          String value)

  Creates a new CSSAttributeCondition object.

Method Detail

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

### getNamespaceURI

    public String getNamespaceURI()

  SAC: Implements `AttributeCondition.getNamespaceURI()`.

### getLocalName

    public String getLocalName()

  SAC: Implements `AttributeCondition.getLocalName()`.

### getSpecified

    public boolean getSpecified()

  SAC: Implements `AttributeCondition.getSpecified()`.

### match

    public boolean match(Element e,
                         String pseudoE)

  Tests whether this condition matches the given element.

### fillAttributeSet

    public void fillAttributeSet(Set attrSet)

  Fills the given set with the attribute names found in this selector.

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this condition.

  Specified by:
    `getSpecificity` in interface `ExtendedCondition`
  Overrides:
    `getSpecificity` in class `AbstractAttributeCondition`

### toString

    public String toString()

  Returns a text representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.